package com.zcloud.service.sms.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.sms.SMSManagementMapper;
import com.zcloud.service.sms.SMSManagementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：短信管理
 * 作者：luoxiaobao
 * 时间：2021-01-21
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class SMSManagementServiceImpl implements SMSManagementService {

	@Autowired
	private SMSManagementMapper smsmanagementMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		smsmanagementMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		smsmanagementMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		smsmanagementMapper.edit(pd);
	}
	public void editIsEnable(PageData pd)throws Exception{
		smsmanagementMapper.editIsEnable(pd);
	}
	public void editUserName(PageData pd)throws Exception{
		smsmanagementMapper.editUserName(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return smsmanagementMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return smsmanagementMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return smsmanagementMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		smsmanagementMapper.deleteAll(ArrayDATA_IDS);
	}

}

